# this script gets included by config_sessions

PLUGIN_NAME="citrix_spe"
PLUGIN_MENUITEM_NAME=""
PLUGIN_MENUITEM_EXEC=""
PLUGIN_MENUITEM_PARAM=""
PLUGIN_MENUITEM_WORKDIR=""
PLUGIN_MENUITEM_ICON=""

PLUGIN_AUTOSTART=0

PLUGIN_PACKAGES="dbus alsa-lib alsa-utils speechmike-config-tools citrix-plugin-speechmike"

install_plugin()
{
	local i
	for i in ${PLUGIN_PACKAGES}
	do
		if [[ -z $(magequery -n ${i}) ]]
		then
			MAGE_BOOTSTRAP=true mage install ${i}
			mage clean
		fi
	done
}

setup_plugin()
{
	return 0
}

# create desktop buttons
create_menuitem()
{
	# don't touch these echo, define variables above
	echo "PLUGIN_MENUITEM_NAME=\"${PLUGIN_MENUITEM_NAME}\""
	echo "PLUGIN_MENUITEM_EXEC=\"${PLUGIN_MENUITEM_EXEC}\""
	echo "PLUGIN_MENUITEM_PARAM=\"${PLUGIN_MENUITEM_PARAM}\""
	echo "PLUGIN_MENUITEM_WORKDIR=\"${PLUGIN_MENUITEM_WORKDIR}\""
	echo "PLUGIN_MENUITEM_ICON=\"${PLUGIN_MENUITEM_ICON}\""
}

autostart_plugin()
{
	echo "PLUGIN_AUTOSTART=\"${PLUGIN_AUTOSTART}\""
	echo "PLUGIN_MENUITEM_NAME=\"${PLUGIN_MENUITEM_NAME}\""
}

uninstall_plugin()
{
	local i
	for i in ${PLUGIN_PACKAGES}
	do
		if [[ -n $(magequery -n ${i}) ]]
		then
			MAGE_BOOTSTRAP=true mage uninstall ${i}
			mage clean
		fi
	done

	mage clean
}

case $1 in
	install) install_plugin ;;
	setup) setup_plugin ;;
	menuitem) create_menuitem ;;
	autostart) autostart_plugin ;;
	uninstall) uninstall_plugin ;;
	*) echo "PLUGIN '${PLUGIN_NAME}': unkown operation '$1'" ;;
esac
